postinst is in iamerican 3.3.02-5.
This file is a maintainer script. It is executed when installing (*inst) or removing (*rm) the package.
The actual contents of the file can be viewed below.
1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30 31 32 33 34 35 36 37 38 39 40 41 42 43 44 45 46 47 48 | #!/bin/sh
set -e
# Added in 3.3.02-2 to move directory into symlink
docdir="/usr/share/doc/iamerican"
target="ienglish-common"
if [ -e "$docdir" ] && [ ! -L "$docdir" ]; then
[ ! -d "$docdir" ] || rmdir --ignore-fail-on-non-empty "$docdir"
if [ -e "$docdir" ]; then
echo "The old $docdir directory contains locally modified files" >&2
echo "and will be saved as $docdir.SAVED_BY_POSTINST.$$" >&2
if ! mv "$docdir" "$docdir.SAVED_BY_POSTINST.$$"; then
echo "Failed to rename $docdir, please remove it manually" >&2
echo "and then retry the upgrade" >&2
fi
fi
ln -sf "$target" "$docdir"
fi
# Automatically added by installdeb-ispell
dico_class="ispell"
dico_compat="american.compat"
for i in $dico_compat; do
if [ "$1" = "reconfigure" ] || [ -n "$DEBCONF_RECONFIGURE" ] || [ ! -e "/var/lib/$dico_class/$i" ]
then
>"/var/lib/$dico_class/$i"
fi
done
# End automatically added section
# Automatically added by installdeb-ispell
. /usr/share/debconf/confmodule
SCRIPT="update-default-ispell"
if [ "$1" = "configure" ] ; then
if which $SCRIPT > /dev/null 2>&1; then
$SCRIPT --rebuild
else
echo "Error: $SCRIPT not present or executable. Missing dependency on dictionaries-common?" >&2
exit 1
fi
fi
# End automatically added section
exit 0
|